Subject: Re: bug#15360: 24.3; Bug in abbrev--check-chars function in abbrev.el ?

From: Stefan Monnier <[email-masked]>
Date: Thu, 12 Sep 2013 15:37:26 -0400

> The abbrev--check-chars function in abbrev.el is supposed to check either
> the current syntax table or the global syntax table.  According to the doc
> string if the second argument is nil the local syntax table is checked,
> otherwise the global syntax table will be checked.  From looking at the
> code it appears to do the opposite.  This means that when asked to check
> the local syntax table it actually checks the global syntax table.

Duh!  Sorry for that swap, you're absolutely right.
I just installed a fix for it in the emacs-24 branch,

        Stefan